%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Name:           udunits2
Version:        2.2.26
Release:        %mkrel 3
Summary:        A library for manipulating units of physical quantities
License:        Freely distributable (BSD-like)
Group:          Sciences/Mathematics
URL:            http://www.unidata.ucar.edu/software/udunits/
Source0:        ftp://ftp.unidata.ucar.edu/pub/udunits/udunits-%{version}.tar.gz
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-c++
BuildRequires:  groff
BuildRequires:  perl-devel
BuildRequires:  bison
BuildRequires:  pkgconfig(expat)
BuildRequires:  texinfo

%description
The Unidata units utility, udunits, supports conversion of unit specifications
between formatted and binary forms, arithmetic manipulation of unit
specifications, and conversion of values between compatible scales of
measurement. A unit is the amount by which a physical quantity is measured. For
example:

                  Physical Quantity   Possible Unit
                  _________________   _____________
                        time              weeks
                      distance         centimeters
                        power             watts

This utility works interactively and has two modes. In one mode, both an input
and output unit specification are given, causing the utility to print the
conversion between them. In the other mode, only an input unit specification is
given. This causes the utility to print the definition -- in standard units --
of the input unit.


%package -n %{libname}
Group:          System/Libraries
Summary:        Libraries for udunits
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the files needed for compiling programs using
the udunits library.


%package -n %{develname}
Group:          Development/Other
Summary:        Headers and libraries for udunits
Requires:       %{name} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the files needed for compiling programs using
the udunits library.


%prep
%setup -q -n udunits-%{version}

%build
%configure --disable-static --docdir %{_docdir}/%{name}

%make_build

%install
%make_install install-html

# We need to do this to avoid conflicting with udunits v1
mkdir -p %{buildroot}%{_includedir}/%{name}/
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}/
# Don't ship static libs
find %{buildroot} -name '*.la' -delete

# doc
install -p -m0644 ANNOUNCEMENT udunits2.pdf %{buildroot}%{_docdir}/%{name}/

%files
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/udunits/
%{_infodir}/*.info*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.2.26-3.mga8
+ Revision: 1517653
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.26-2.mga7
+ Revision: 1301499
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 2.2.26-1.mga7
+ Revision: 1190711
- new version: 2.2.26

* Mon Aug 14 2017 daviddavid <daviddavid> 2.2.25-1.mga7
+ Revision: 1140302
- new version: 2.2.25
- fix owner of data dir and include dir

* Thu Feb 04 2016 umeabot <umeabot> 2.1.24-6.mga6
+ Revision: 934518
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.24-5.mga5
+ Revision: 742972
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.24-4.mga5
+ Revision: 690019
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.24-3.mga4
+ Revision: 519794
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.24-2.mga3
+ Revision: 384978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 kamil <kamil> 2.1.24-1.mga2
+ Revision: 199299
- add expat-devel as BR
- new version 2.1.24
- fix url (mga#3035)
- clean .spec

* Thu Feb 24 2011 grenoya <grenoya> 2.1.12-3.mga1
+ Revision: 58972
- imported package udunits2


* Wed Feb 17 2010 Emmanuel Andry <eandry@mandriva.org> 2.1.12-3mdv2010.1
+ Revision: 507289
- fix provides

* Tue Jan 19 2010 Emmanuel Andry <eandry@mandriva.org> 2.1.12-2mdv2010.1
+ Revision: 493468
- add missing provides

* Sat Jan 16 2010 Emmanuel Andry <eandry@mandriva.org> 2.1.12-1mdv2010.1
+ Revision: 492387
- import udunits2


